# Interface IConsoleLineTrackerExtension

All Superinterfaces:
  `IConsoleLineTracker`

public interface IConsoleLineTrackerExtension extends IConsoleLineTracker
An extension to the console line tracker interface that console line trackers may implement to be notified when output from the console is complete.

Clients may implement this interface.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`consoleClosed()`
Notification that all output streams connected to the console have been closed.

### Methods inherited from interface IConsoleLineTracker

`dispose, init, lineAppended`

## Method Details

### consoleClosed

void consoleClosed()
Notification that all output streams connected to the console have been closed. No more lines will be appended after this method is called.